libabw::ABWOutputElement Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libabw::ABWOutputElement Class Referenceabstract
Inheritance diagram for libabw::ABWOutputElement:

## Public Member Functions
| ABWOutputElement ()
virtual | ~ABWOutputElement ()
virtual void | write (librevenge::RVNGTextInterface *iface, const std::map< int, std::list< ABWOutputElement * > > *footers, const std::map< int, std::list< ABWOutputElement * > > *headers) const =0

## Constructor & Destructor Documentation

libabw::ABWOutputElement::ABWOutputElement | ( |  | ) |
| inline

virtual libabw::ABWOutputElement::~ABWOutputElement | ( |  | ) |
| inlinevirtual

## Member Function Documentation

virtual void libabw::ABWOutputElement::write | ( | librevenge::RVNGTextInterface * | iface,
|  | const std::map< int, std::list< ABWOutputElement * > > * | footers,
|  | const std::map< int, std::list< ABWOutputElement * > > * | headers
| ) |  | const
| pure virtual

Implemented in libabw::ABWOpenUnorderedListLevelElement, libabw::ABWOpenTableRowElement, libabw::ABWOpenTableCellElement, libabw::ABWOpenTableElement, libabw::ABWOpenSpanElement, libabw::ABWOpenSectionElement, libabw::ABWOpenParagraphElement, libabw::ABWOpenPageSpanElement, libabw::ABWOpenOrderedListLevelElement, libabw::ABWOpenListElementElement, libabw::ABWOpenLinkElement, libabw::ABWOpenHeaderElement, libabw::ABWOpenFrameElement, libabw::ABWOpenFootnoteElement, libabw::ABWOpenFooterElement, libabw::ABWOpenEndnoteElement, libabw::ABWInsertTextElement, libabw::ABWInsertTabElement, libabw::ABWInsertSpaceElement, libabw::ABWInsertLineBreakElement, libabw::ABWInsertCoveredTableCellElement, libabw::ABWInsertBinaryObjectElement, libabw::ABWCloseUnorderedListLevelElement, libabw::ABWCloseTableRowElement, libabw::ABWCloseTableCellElement, libabw::ABWCloseTableElement, libabw::ABWCloseSpanElement, libabw::ABWCloseSectionElement, libabw::ABWCloseParagraphElement, libabw::ABWClosePageSpanElement, libabw::ABWCloseOrderedListLevelElement, libabw::ABWCloseListElementElement, libabw::ABWCloseLinkElement, libabw::ABWCloseHeaderElement, libabw::ABWCloseFrameElement, libabw::ABWCloseFootnoteElement, libabw::ABWCloseFooterElement, and libabw::ABWCloseEndnoteElement.

The documentation for this class was generated from the following file:

- ABWOutputElements.cpp